# setCachePodMetadata method

1. @override

void setCachePodMetadata(

1. bool cacheMetadata

)
override

Enables or disables caching of pod metadata for performance optimization.

When enabled, the factory will cache pod definition metadata to improve performance at the cost of memory usage.

## Usage Example:

    factory.setCachePodMetadata(true); // Enable for better performance

@param cachePodMetadata true to enable caching, false to disable

## Implementation

    @override
    void setCachePodMetadata(bool cacheMetadata) {
      _cacheMetadata = cacheMetadata;
    }